For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList environments
      • POSTCreate an environment
      • GETGet environment subscription credentials
      • GETGet an environment
      • PATCHUpdate an environment
      • DELDelete an environment
      • GETList guides
      • GETGet a guide
      • PATCHUpdate a guide
      • POSTCreate a guide
      • DELDelete a guide
      • GETGet guide version
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceEnvironments

Create a guide

POST
https://api.x.flatfile.com/v1/environments/:environmentId/guides
POST
/v1/environments/:environmentId/guides
$curl -X POST https://api.x.flatfile.com/v1/environments/us_env_YOUR_ID/guides \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "description": "Getting started guide",
> "title": "Data import made easy",
> "slug": "getting-started",
> "blocks": [],
> "environmentId": "commons.EnvironmentId",
> "metadata": {
> "category": "onboarding"
> }
>}'
1{
2 "data": {
3 "id": "us_gu_YOUR_ID",
4 "slug": "getting-started",
5 "title": "Importing your data",
6 "versions": [],
7 "blocks": [],
8 "createdAt": "2023-10-30T16:59:45.735Z",
9 "updatedAt": "2023-10-30T16:59:45.735Z",
10 "description": "Getting started guide",
11 "metadata": {
12 "category": "onboarding"
13 }
14 }
15}
Creates a guide
Was this page helpful?
Previous

Delete a guide

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

environmentIdstringRequired
ID of the environment

Headers

X-Disable-Hooks"true"Required

Request

This endpoint expects an object.
descriptionstringRequired
titlestringRequired
slugstringRequired
blockslist of optional maps from strings to anyRequired
environmentIdstringRequired
metadatamap from strings to anyOptional

Response

This endpoint returns an object.
dataobject
A guide

Errors

400
Bad Request Error
404
Not Found Error